#
# spec file for package ghostscript-library (Version 6.51)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  ed glib glib-devel gpp gppshare libgpp libpng libxml libxml-devel libz readline readline-devel svgalib xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs ed file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libpng libtool libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline readline-devel rpm sendmail sh-utils shadow strace svgalib syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         ghostscript-library
%define   GSVER 6.51
%define    JPEG 6b
%define HPDJVER 2.6
%define  HP820C 0.2.0
%define   PRINT 4.1.10
%define   HPIJS 0.97
%define    OMNI 0.3.1
Group:        Utilities/Printing
Provides:     ghostscript gs gs_lib
Obsoletes:    gs_lib
Requires:     ghostscript_any
Autoreqprov:  on
Summary:      Necessary files for running gs (Ghostscript)
Version:      6.51
Release:      63
Copyright:    1989-2001 Aladdin Enterprises.
BuildRoot:    /tmp/gs
Source0:      ghostscript-%{GSVER}.tar.bz2
Source1:      jpegsrc.v%{JPEG}.tar.bz2
Source2:      gnu-gs-fonts-std-6.0.tar.bz2
Source3:      gnu-gs-fonts-other-6.0.tar.bz2
Source4:      hpdj-%{HPDJVER}.tar.bz2
Source5:      hpijs%{HPIJS}.tar.bz2
Source6:      gimp-print-%{PRINT}.tar.bz2
Source7:      Omni-%{OMNI}.tar.bz2
Source8:      gdev820c-%{HP820C}.tar.bz2
Source9:      epson740.tar.bz2
Source10:     bjc6000a1.upp
Source11:     bjc6000b1.upp
Source12:     gdevcd8-cdj880.c.bz2
Source13:     gdevcd8-chp2200.c.bz2
# Free CID keyed sample fonts from Adobe. Originally downloaded from:
# ftp://ftp.oreilly.com/pub/examples/nutshell/cjkv/adobe/samples/
# The tarball also contains fonts.scale files to make these fonts accessible
# as X11 fonts. A directory structure according to the XFree86-4.0.1 release
# notes has been used. The tarball also contains *.gsf font-stub files created
# as described in Ken Lunde's book:
# "CJK Information Processing", Chapter 8, Page 392.
Source14:     adobe-cid-keyed-sample-fonts-20001108.tar.bz2
Source15:     gs5.50.kanji.tar.bz2
Source16:     gs_rusfonts.tar.bz2
Source17:     sharp_aj1800.upp
Patch0:       ghostscript-%{GSVER}.dif
Patch1:       ghostscript-%{GSVER}-lexmark7000.patch
Patch2:       ghostscript-%{GSVER}-time.dif
Patch3:       hpijs%{HPIJS}.dif
Patch4:       ghostscript-%{GSVER}-omni.dif
Patch5:       Omni-%{OMNI}.dif
Patch6:       ghostscript-%{GSVER}-align.dif
# Jpeg lib is included in src rpm of libjpeg
NoSource:     1
# All fonts are sources by definition
NoSource:     2
NoSource:     3
NoSource:     14
NoSource:     15
NoSource:     16

%description
This package contains all startup files for calling gs (Ghostscript).
You will find some useful documentations about few printer drivers
in the directory:
/usr/share/ghostscript/6.51/doc/
Please read the files use.txt, devices.txt and for the experimental
drivers cdj670, cdj850, cdj890, and cdj1600 the file readme.hp8
in the sub-directory hp8xx/.
Currently there is the newer version 7.xy of Ghostscript available.
Due to a change in the licence of this version we are not allowed
to put this version onto this cdrom.

Authors:
--------
    Peter Deutsch <ghost@aladdin.com>
    Martin Lottermoser <Martin.Lottermoser@mch.sni.de>
    Pierre-Olivier Gaillard <pierre.gaillard@hol.fr>
    Gunther Hess <gunther@elmos.de>
    Yves Arrouye <Yves.Arrouye@marin.fdn.fr>
    and many others

SuSE series: ap

%package     -n ghostscript-x11
Conflicts:    ghostscript-vga ghostscript-serv ghostscript-both
Requires:     ghostscript-library ghostscript-fonts-std xshared
Summary:      Ghostscript for X11
Group:        Utilities/Printing
Provides:     ghostscript_any gs_x11 ghostscript_x11
Obsoletes:    gs_x11
Autoreqprov:  on

%description -n ghostscript-x11
If you plan to preview PostScript documents under X, you need to
install this.
Currently there is the newer version 7.xy of Ghostscript available.
Due to a change in the licence of this version we are not allowed
to put this version onto this cdrom.

Authors:
--------
    Peter Deutsch <ghost@aladdin.com>
    Martin Lottermoser <Martin.Lottermoser@mch.sni.de>
    Pierre-Olivier Gaillard <pierre.gaillard@hol.fr>
    Gunther Hess <gunther@elmos.de>
    Yves Arrouye <Yves.Arrouye@marin.fdn.fr>
    and many others

SuSE series: ap

%package     -n ghostscript-vga
Conflicts:    ghostscript-x11 ghostscript-serv ghostscript-both
Requires:     ghostscript-library ghostscript-fonts-std svgalib
Summary:      Ghostscript without X11 but with VGA
Group:        Utilities/Printing
Provides:     ghostscript_any gs_vga ghostscript_vga
Obsoletes:    gs_vga
Autoreqprov:  on

%description -n ghostscript-vga
This gs version is for X11-less machines and vga terminal or
graphic card.  The graphic card should be supported by the SVGA lib.
Currently there is the newer version 7.xy of Ghostscript available.
Due to a change in the licence of this version we are not allowed
to put this version onto this cdrom.

Authors:
--------
    Peter Deutsch <ghost@aladdin.com>
    Martin Lottermoser <Martin.Lottermoser@mch.sni.de>
    Pierre-Olivier Gaillard <pierre.gaillard@hol.fr>
    Gunther Hess <gunther@elmos.de>
    Yves Arrouye <Yves.Arrouye@marin.fdn.fr>
    and many others

SuSE series: ap

%package     -n ghostscript-serv
Conflicts:    ghostscript-vga ghostscript-x11 ghostscript-both
Requires:     ghostscript-library ghostscript-fonts-std
Summary:      Ghostscript without X11 and without VGA features
Group:        Utilities/Printing
Provides:     ghostscript_any gs_serv ghostscript_serv
Obsoletes:    gs_serv
Autoreqprov:  on

%description -n ghostscript-serv
This gs version should only be installed on print servers without X11.
Currently there is the newer version 7.xy of Ghostscript available.
Due to a change in the licence of this version we are not allowed
to put this version onto the CD.

Authors:
--------
    Peter Deutsch <ghost@aladdin.com>
    Martin Lottermoser <Martin.Lottermoser@mch.sni.de>
    Pierre-Olivier Gaillard <pierre.gaillard@hol.fr>
    Gunther Hess <gunther@elmos.de>
    Yves Arrouye <Yves.Arrouye@marin.fdn.fr>
    and many others

SuSE series: ap

%package     -n ghostscript-both
Conflicts:    ghostscript-vga ghostscript-x11 ghostscript-serv
Requires:     ghostscript-library ghostscript-fonts-std svgalib xshared
Summary:      Ghostscript with X11 and with VGA features
Group:        Utilities/Printing
Provides:     ghostscript_any gs_both ghostscript_both
Obsoletes:    gs_both
Autoreqprov:  on

%description -n ghostscript-both
This gs version is for X11 machines and vga terminal.
Currently there is the newer version 7.xy of ghostscript available.
Due to a change in the licence of this version we are not allowed
to put this version onto this cdrom.

Authors:
--------
    Peter Deutsch <ghost@aladdin.com>
    Martin Lottermoser <Martin.Lottermoser@mch.sni.de>
    Pierre-Olivier Gaillard <pierre.gaillard@hol.fr>
    Gunther Hess <gunther@elmos.de>
    Yves Arrouye <Yves.Arrouye@marin.fdn.fr>
    and many others

SuSE series: ap

%package     -n ghostscript-fonts-std
Summary:      Standard fonts for Ghostscript
Group:   Utilities/Printing
Provides:     gs_fonts
Obsoletes:    gs_fonts

%description -n ghostscript-fonts-std
The necessary fonts for the PostScript interpreter Ghostscript.  The URW
fonts (URW Software, Poppenbtteler Bogen 29A, D-22399 Hamburg, Germany).

SuSE series: ap

%package     -n ghostscript-fonts-other
Summary:      Optional fonts for Ghostscript
Group:   Utilities/Printing
Provides:     gs_fonto
Obsoletes:    gs_fonto

%description -n ghostscript-fonts-other
Some useful fonts for the PostScript interpreter Ghostscript.

SuSE series: ap

%package     -n ghostscript-fonts-kanji
Summary:      Japanese font for ghostscript
Group:   Utilities/Printing
Provides:     gs_fontk
Obsoletes:    gs_fontk

%description -n ghostscript-fonts-kanji
Japanese font for ghostscript.

SuSE series: han

%package     -n ghostscript-fonts-rus
Summary:      Russian fonts for ghostscript
Group:   Utilities/Printing
Provides:     gs_fontr
Obsoletes:    gs_fontr

%description -n ghostscript-fonts-rus
Russian fonts for ghostscript.

Authors:
--------
    Eugene V. Demidov <jack@gpi.ru>

SuSE series: ap

%package     -n CMap-Adobe-Identity
Summary:      Adobe-Identity CMap files
Group:   Utilities/Printing

%description -n CMap-Adobe-Identity
CMap (Character Map) files for the Adobe-Identity character collection.

Authors:
--------
    Dr. Ken Lunde <lunde@adobe.com>

SuSE series: ap

%package     -n CMap-Adobe-CNS1
Summary:      Adobe-CNS1 CMap files
Group:   Utilities/Printing

%description -n CMap-Adobe-CNS1
CMap (Character Map) files for the Adobe-CNS1 character collection.

Authors:
--------
    Dr. Ken Lunde <lunde@adobe.com>

SuSE series: ap

%package     -n CMap-Adobe-GB1
Summary:      Adobe-GB1 CMap files
Group:   Utilities/Printing

%description -n CMap-Adobe-GB1
CMap (Character Map) files for the Adobe-GB1 character collection.

Authors:
--------
    Dr. Ken Lunde <lunde@adobe.com>

SuSE series: ap

%package     -n CMap-Adobe-Japan1
Summary:      Adobe-Japan1 CMap files
Group:   Utilities/Printing

%description -n CMap-Adobe-Japan1
CMap (Character Map) files for the Adobe-Japan1 character collection.

Authors:
--------
    Dr. Ken Lunde <lunde@adobe.com>

SuSE series: ap

%package     -n CMap-Adobe-Japan2
Summary:      Adobe-Japan2 CMap files
Group:   Utilities/Printing

%description -n CMap-Adobe-Japan2
CMap (Character Map) files for the Adobe-Japan2 character collection.

Authors:
--------
    Dr. Ken Lunde <lunde@adobe.com>

SuSE series: ap

%package     -n CMap-Adobe-Korea1
Summary:      Adobe-Korea1 CMap files
Group:   Utilities/Printing

%description -n CMap-Adobe-Korea1
CMap (Character Map) files for the Adobe-Korea1 character collection.

Authors:
--------
    Dr. Ken Lunde <lunde@adobe.com>

SuSE series: ap

%package     -n CID-keyed-fonts-MOE
Summary:      MOE CID-keyed fonts (for traditional Chinese)
Group:   Utilities/Printing
Requires: CMap-Adobe-CNS1

%description -n CID-keyed-fonts-MOE
This package contains the CID-keyed fonts
MOESung-Regular           (Adobe-CNS1-0 subset: 13699 CIDs)
MOEKai-Regular            (Adobe-CNS1-0 subset: 13699 CIDs)
These fonts are useful for traditional Chinese, i.e. for Taiwan and Hongkong.
The fonts can be used with Ghostscript as well as with XFree86 >= 4.0.

Authors:
--------
    Dr. Ken Lunde <lunde@adobe.com>

SuSE series: ap

%package     -n CID-keyed-fonts-Wada
Summary:      Wadalab CID-keyed fonts (for Japanese)
Group:   Utilities/Printing
Requires: CMap-Adobe-Japan1

%description -n CID-keyed-fonts-Wada
This package contains the CID-keyed fonts
WadaMin-Regular           (Adobe-Japan1-1 subset: 6998 CIDs)
WadaMin-Bold              (Adobe-Japan1-1 subset: 6996 CIDs)
WadaGo-Bold               (Adobe-Japan1-1 subset: 6998 CIDs)
WadaMaruGo-Regular        (Adobe-Japan1-1 subset: 6998 CIDs)
These fonts are useful for Japanese.
The fonts can be used with Ghostscript as well as with XFree86 >= 4.0.

Authors:
--------
    Dr. Ken Lunde <lunde@adobe.com>

SuSE series: ap

%package     -n CID-keyed-fonts-WadaH
Summary:      Wadalab CID-keyed fonts (for rare Japanese characters)
Group:   Utilities/Printing
Requires: CMap-Adobe-Japan2

%description -n CID-keyed-fonts-WadaH
This package contains the CID-keyed fonts
WadaMin-RegularH          (Adobe-Japan2-0 complete: 6068 CIDs)
WadaMaruGo-RegularH       (Adobe-Japan2-0 complete: 6068 CIDs)
These fonts contain the characters from the JIS X 0121-1990 character
set (additional, rarely used Japanese characters).
The fonts can be used with Ghostscript as well as with XFree86 >= 4.0.

Authors:
--------
    Dr. Ken Lunde <lunde@adobe.com>

SuSE series: ap

%package     -n CID-keyed-fonts-Munhwa
Summary:      Munhwa CID-keyed fonts (for Korean)
Group:   Utilities/Printing
Requires: CMap-Adobe-Korea1
Obsoletes: gs_fonth

%description -n CID-keyed-fonts-Munhwa
This package contains the CID-keyed fonts
Munhwa-Regular            (Adobe-Korea1-0 subset: 8193 CIDs)
Munhwa-Bold               (Adobe-Korea1-0 subset: 2549 CIDs)
MunhwaGothic-Regular      (Adobe-Korea1-0 subset: 8193 CIDs)
MunhwaGothic-Bold         (Adobe-Korea1-0 subset: 2549 CIDs)
MunhwaGungSeo-Bold        (Adobe-Korea1-0 subset: 2549 CIDs)
MunhwaGungSeo-Light       (Adobe-Korea1-0 subset: 2549 CIDs)
MunhwaGungSeoHeulim-Bold  (Adobe-Korea1-0 subset: 2549 CIDs)
MunhwaGungSeoHeulim-Light (Adobe-Korea1-0 subset: 2549 CIDs)
MunhwaHoonMin-Regular     (Adobe-Korea1-0 subset: 2549 CIDs)
These fonts are useful for Korean.
The fonts can be used with Ghostscript as well as with XFree86 >= 4.0.

Authors:
--------
    Dr. Ken Lunde <lunde@adobe.com>

SuSE series: ap

%prep
%setup -n ghostscript-%{GSVER} -a 1 -a 5 -a 6 -a 7 -a 9
test -f lib/bjc6000a1.upp     || cp ${RPM_SOURCE_DIR}/bjc6000a1.upp lib/
test -f lib/bjc6000b1.upp     || cp ${RPM_SOURCE_DIR}/bjc6000b1.upp lib/
test -f lib/sharp_aj1800.upp  || cp ${RPM_SOURCE_DIR}/sharp_aj1800.upp lib/
test -f src/gdevcd8-chp2200.c || bzip2 -dc ${RPM_SOURCE_DIR}/gdevcd8-chp2200.c.bz2 > src/gdevcd8-chp2200.c
test -f src/gdevcd8-cdj880.c  || bzip2 -dc ${RPM_SOURCE_DIR}/gdevcd8-cdj880.c.bz2  > src/gdevcd8-cdj880.c
#
# .upp's for stc
{
    ln -sf $PWD/epson740/*.upp lib/
}
#
# driver stp
{
    ln  -sf gimp-print-%{PRINT} stp
    cd stp/
    sh ./configure %{_target_cpu}-suse-linux --prefix=/usr \
	--without-gimp --without-cups --with-ghost --enable-escputil --disable-libgimpprint
    cd ../
    make -C $PWD/stp/src/ghost/ all-local
    ln  -sf $PWD/stp/src/ghost/*.[ch]   src/
    ln  -sf $PWD/stp/src/ghost/gs-stp.1 man/
}
#
# driver hpdj
mkdir hpdj
{
    cd hpdj/
    tar OxfI ${RPM_SOURCE_DIR}/hpdj-%{HPDJVER}.tar.bz2 hpdj-%{HPDJVER}/hpdj.tar | tar xf -
    mv NEWS NEWS.hpdj
    cd ../
}
ln -s $PWD/hpdj/*.[ch] src/
ln -s $PWD/hpdj/*.1    man/
#
# driver 820c
mkdir hp820
{
    cd hp820/
    tar xfI ${RPM_SOURCE_DIR}/gdev820c-%{HP820C}.tar.bz2
    mv COPYLEFT COPYLEFT.820c
    head -56 gdev820c.c > 820c.txt
    cd ../
}
ln -s $PWD/hp820/*.[ch]   src/
ln -s $PWD/hp820/820c.txt doc/
#
# original driver from HP
{
   ln -sf hpijs%{HPIJS} hpijs
   mv src/gdevhpij.c src/gdevhpij.c.orig
   mv src/gdevhpij.h src/gdevhpij.h.orig
   ln -sf $PWD/hpijs/gdevhpij.c src/
   ln -sf $PWD/hpijs/gdevhpij.h src/ 
}
#
%patch1 -p0 -b .lmark7000
%patch2 -p0 -b .time
%patch3 -p0 -b .hpijs
%patch4 -p0 -b .omni
%patch5 -p0 -b .OMNI
%patch6 -p0 -b .align
%patch0 -p0
#

%build
FLAGS="XLDFLAGS=-s XCFLAGS="
#
make -f src/unix-gcc.mak config-clean ${FLAGS}
make -f src/unix-gcc.mak device=x     ${FLAGS}
cp bin/gs bin/gs_x11
#
# bin/gs_vga:
%ifnarch sparc sparc64 ia64 s390
make -f src/unix-gcc.mak config-clean ${FLAGS}
make -f src/unix-gcc.mak device=vga   ${FLAGS}
cp bin/gs bin/gs_vga
%endif
#
# bin/gs_serv:
make -f src/unix-gcc.mak config-clean ${FLAGS}
make -f src/unix-gcc.mak device=serv  ${FLAGS}
cp bin/gs bin/gs_serv
#
# bin/gs_both:
%ifnarch sparc sparc64 ia64 s390
make -f src/unix-gcc.mak config-clean ${FLAGS}
make -f src/unix-gcc.mak device=both  ${FLAGS}
cp bin/gs bin/gs_both
%endif
#
# bin/catalog.devices:
sh src/make.catalog > bin/catalog.devices
#
# stp/src/escputil/escputil:
make -C stp/lib/
make -C stp/src/escputil/
#
# hpijs/hpijs:
make -C hpijs/
#
# Omni/libomni.so:
make -C Omni/
#

%install
#
cd lib/;      sh ../src/make.psready; cd ../
cd examples/; sh ../src/make.psready; cd ../
#
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/lib
mkdir -p ${RPM_BUILD_ROOT}/usr/share
mkdir -p ${RPM_BUILD_ROOT}/usr/share/man
#
make -f src/unix-gcc.mak prefix=${RPM_BUILD_ROOT}/usr \
		     mandir=${RPM_BUILD_ROOT}%{_mandir} install
#
rm -f ${RPM_BUILD_ROOT}/usr/bin/lprsetup.sh
rm -f ${RPM_BUILD_ROOT}/usr/bin/pj-gs.sh
rm -f ${RPM_BUILD_ROOT}/usr/bin/pv.sh
rm -f ${RPM_BUILD_ROOT}/usr/bin/sysvlp.sh
rm -f ${RPM_BUILD_ROOT}/usr/bin/unix-lpr.sh
mv    ${RPM_BUILD_ROOT}/usr/bin/fixmswrd.pl ${RPM_BUILD_ROOT}/usr/bin/fixmswrd
#
rm -f ${RPM_BUILD_ROOT}/usr/bin/gs
install -s -m 0755 bin/gs_x11 bin/gs_serv ${RPM_BUILD_ROOT}/usr/bin/
%ifnarch sparc sparc64 ia64 s390
install -s -m 0755 bin/gs_vga bin/gs_both ${RPM_BUILD_ROOT}/usr/bin/
%endif
#
install -m 0755 -s stp/src/escputil/escputil ${RPM_BUILD_ROOT}/usr/bin/
install -m 0755 -s hpijs/hpijs               ${RPM_BUILD_ROOT}/usr/bin/
mkdir -p ${RPM_BUILD_ROOT}/usr/lib/ghostscript/
find Omni/ -name '*.so' | while read l ; do
    strip -g $l
    install -m 0755    $l ${RPM_BUILD_ROOT}/usr/lib/ghostscript/
done
mkdir -p ${RPM_BUILD_ROOT}/usr/share/ghostscript/%{GSVER}/doc/Omni
install -m 0444 Omni/docs/* ${RPM_BUILD_ROOT}/usr/share/ghostscript/%{GSVER}/doc/Omni/
#
for m in ${RPM_BUILD_ROOT}%{_mandir}/man1/*.1 ; do
    if test -L $m ; then
	d=`find $m -printf '%%l'`
	rm -f $m
	ln -sf ${d}.gz ${m}.gz
    else
	gzip -f9v $m
    fi
done
#
rm -rf   ${RPM_BUILD_ROOT}%{_defaultdocdir}/ghostscript
mkdir -p ${RPM_BUILD_ROOT}%{_defaultdocdir}/ghostscript
#
ln -sf /usr/share/ghostscript/%{GSVER}/doc \
   ${RPM_BUILD_ROOT}%{_defaultdocdir}/ghostscript/doc
ln -sf /usr/share/ghostscript/%{GSVER}/examples \
   ${RPM_BUILD_ROOT}%{_defaultdocdir}/ghostscript/examples
install -m 0444 bin/catalog.devices ${RPM_BUILD_ROOT}%{_defaultdocdir}/ghostscript/
install -m 0444 doc/index.html ${RPM_BUILD_ROOT}/usr/share/ghostscript/%{GSVER}/doc/
#
rm -rf   ${RPM_BUILD_ROOT}/usr/share/ghostscript/fonts
mkdir -p ${RPM_BUILD_ROOT}/usr/share/ghostscript/fonts
#
tar xfI ${RPM_SOURCE_DIR}/gnu-gs-fonts-std-6.0.tar.bz2 \
   -C ${RPM_BUILD_ROOT}/usr/share/ghostscript/
tar xfI ${RPM_SOURCE_DIR}/gnu-gs-fonts-other-6.0.tar.bz2 \
   -C ${RPM_BUILD_ROOT}/usr/share/ghostscript/
#
tar xfI ${RPM_SOURCE_DIR}/gs5.50.kanji.tar.bz2 \
   -C ${RPM_BUILD_ROOT}/usr/share/ghostscript/
pushd ${RPM_BUILD_ROOT}/usr/share/ghostscript/
    mv min.gsf goth.gsf fonts/
    diff Fontmap.Sol Fontmap.kanji |grep -E '^> (/|$)'|sed 's@^> @@g' > tempa
    install -m 0644 tempa %{GSVER}/lib/Fontmap.kanji
    rm -f Fontmap* tempa README.kanji
popd
#
tar xfI ${RPM_SOURCE_DIR}/gs_rusfonts.tar.bz2 \
    -C ${RPM_BUILD_ROOT}/usr/share/ghostscript/
pushd ${RPM_BUILD_ROOT}/usr/share/ghostscript/
    mv gs_rusfonts/fonts/*.{afm,pfb,pfm} fonts/
    echo ""  > %{GSVER}/lib/Fontmap.rus
    echo "%% Russian Post Script fonts from Eugeni Demidov (ftp.kapella.gpi.ru)" >> %{GSVER}/lib/Fontmap.rus
    echo "%% ArialCyrMT, CourierCyrPS, TimesCyrMT, ERKurierKOI8-R"               >> %{GSVER}/lib/Fontmap.rus
    sed 's@$@;@g' gs_rusfonts/fonts/Fontmap.ad                                   >> %{GSVER}/lib/Fontmap.rus
    echo ""  >> %{GSVER}/lib/Fontmap.rus
    install -m 0444 -o root -g root gs_rusfonts/docs/* ${RPM_BUILD_ROOT}%{_defaultdocdir}/ghostscript/
    rm -rf gs_rusfonts/
popd
#
# add free CID keyed sample fonts from Adobe:
#
tar Ixf ${RPM_SOURCE_DIR}/adobe-cid-keyed-sample-fonts-20001108.tar.bz2 \
   -C ${RPM_BUILD_ROOT}/usr/share/ghostscript/
# create summaries of font metric files in CID font directories:
/usr/X11R6/bin/mkcfm ${RPM_BUILD_ROOT}/usr/share/ghostscript/fonts/CID
pushd ${RPM_BUILD_ROOT}/usr/share/ghostscript/
    echo "" > %{GSVER}/lib/Fontmap.CID
    cat ${RPM_BUILD_ROOT}/usr/share/ghostscript/fonts/CID/Adobe-Japan1/Fontmap.Wada   >> %{GSVER}/lib/Fontmap.CID
    cat ${RPM_BUILD_ROOT}/usr/share/ghostscript/fonts/CID/Adobe-Japan2/Fontmap.WadaH  >> %{GSVER}/lib/Fontmap.CID
    cat ${RPM_BUILD_ROOT}/usr/share/ghostscript/fonts/CID/Adobe-Korea1/Fontmap.Munhwa >> %{GSVER}/lib/Fontmap.CID
    cat ${RPM_BUILD_ROOT}/usr/share/ghostscript/fonts/CID/Adobe-CNS1/Fontmap.MOE      >> %{GSVER}/lib/Fontmap.CID
    echo "" >> %{GSVER}/lib/Fontmap.CID
popd
#
##############################################################
#
chown -R root:root ${RPM_BUILD_ROOT}/usr/share/ghostscript/
set +x
find ${RPM_BUILD_ROOT}/usr/share/ghostscript/fonts/ -type f | xargs chmod 0444
set -x
#
# Create links to make the fonts usable with X11:
#
rm -f ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/fonts/URW
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/fonts
ln -sf /usr/share/ghostscript/fonts ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/fonts/URW
#
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/fonts/CID
ln -sf /usr/share/ghostscript/fonts/CID/Adobe-CNS1 \
       ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/fonts/CID/Adobe-CNS1
ln -sf /usr/share/ghostscript/fonts/CID/Adobe-GB1 \
       ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/fonts/CID/Adobe-GB1
ln -sf /usr/share/ghostscript/fonts/CID/Adobe-Identity \
       ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/fonts/CID/Adobe-Identity
ln -sf /usr/share/ghostscript/fonts/CID/Adobe-Japan1 \
       ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/fonts/CID/Adobe-Japan1
ln -sf /usr/share/ghostscript/fonts/CID/Adobe-Japan2 \
       ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/fonts/CID/Adobe-Japan2
ln -sf /usr/share/ghostscript/fonts/CID/Adobe-Korea1 \
       ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/fonts/CID/Adobe-Korea1

%post -n ghostscript-x11
rm -f usr/bin/gs 2>/dev/null
test -e usr/bin/gs || ln -s gs_x11  usr/bin/gs
%ifnarch sparc sparc64 ia64 s390

%post -n ghostscript-vga
rm -f usr/bin/gs 2>/dev/null
test -e usr/bin/gs || ln -s gs_vga  usr/bin/gs
%endif

%post -n ghostscript-serv
rm -f usr/bin/gs 2>/dev/null
test -e usr/bin/gs || ln -s gs_serv usr/bin/gs
%ifnarch sparc sparc64 ia64 s390

%post -n ghostscript-both
rm -f usr/bin/gs 2>/dev/null
test -e usr/bin/gs || ln -s gs_both usr/bin/gs
%endif

%post -n CID-keyed-fonts-MOE
echo "0" > usr/X11R6/lib/X11/fonts/CID/fonts.scale
find usr/X11R6/lib/X11/fonts/CID -follow -name "fonts.scale.*" | \
	xargs --no-run-if-empty cat >> usr/X11R6/lib/X11/fonts/CID/fonts.scale
# if proc/1 doesn't exist, this is not a running system, i.e. this is probably
# a system being installed. In that case it is better not to run mkfontdir.
test -d proc/1 || exit 0
test -x usr/X11R6/bin/mkfontdir || exit 0
usr/X11R6/bin/mkfontdir usr/X11R6/lib/X11/fonts/CID

%post -n CID-keyed-fonts-Wada
echo "0" > usr/X11R6/lib/X11/fonts/CID/fonts.scale
find usr/X11R6/lib/X11/fonts/CID -follow -name "fonts.scale.*" | \
	xargs --no-run-if-empty cat >> usr/X11R6/lib/X11/fonts/CID/fonts.scale
# if proc/1 doesn't exist, this is not a running system, i.e. this is probably
# a system being installed. In that case it is better not to run mkfontdir.
test -d proc/1 || exit 0
test -x usr/X11R6/bin/mkfontdir || exit 0
usr/X11R6/bin/mkfontdir usr/X11R6/lib/X11/fonts/CID

%post -n CID-keyed-fonts-WadaH
echo "0" > usr/X11R6/lib/X11/fonts/CID/fonts.scale
find usr/X11R6/lib/X11/fonts/CID -follow -name "fonts.scale.*" | \
	xargs --no-run-if-empty cat >> usr/X11R6/lib/X11/fonts/CID/fonts.scale
# if proc/1 doesn't exist, this is not a running system, i.e. this is probably
# a system being installed. In that case it is better not to run mkfontdir.
test -d proc/1 || exit 0
test -x usr/X11R6/bin/mkfontdir || exit 0
usr/X11R6/bin/mkfontdir usr/X11R6/lib/X11/fonts/CID

%post -n CID-keyed-fonts-Munhwa
echo "0" > usr/X11R6/lib/X11/fonts/CID/fonts.scale
find usr/X11R6/lib/X11/fonts/CID -follow -name "fonts.scale.*" | \
	xargs --no-run-if-empty cat >> usr/X11R6/lib/X11/fonts/CID/fonts.scale
# if proc/1 doesn't exist, this is not a running system, i.e. this is probably
# a system being installed. In that case it is better not to run mkfontdir.
test -d proc/1 || exit 0
test -x usr/X11R6/bin/mkfontdir || exit 0
usr/X11R6/bin/mkfontdir usr/X11R6/lib/X11/fonts/CID

%postun -n CID-keyed-fonts-MOE
echo "0" > usr/X11R6/lib/X11/fonts/CID/fonts.scale
find usr/X11R6/lib/X11/fonts/CID -follow -name "fonts.scale.*" | \
	xargs --no-run-if-empty cat >> usr/X11R6/lib/X11/fonts/CID/fonts.scale
# if proc/1 doesn't exist, this is not a running system, i.e. this is probably
# a system being installed. In that case it is better not to run mkfontdir.
test -d proc/1 || exit 0
test -x usr/X11R6/bin/mkfontdir || exit 0
usr/X11R6/bin/mkfontdir usr/X11R6/lib/X11/fonts/CID

%postun -n CID-keyed-fonts-Wada
echo "0" > usr/X11R6/lib/X11/fonts/CID/fonts.scale
find usr/X11R6/lib/X11/fonts/CID -follow -name "fonts.scale.*" | \
	xargs --no-run-if-empty cat >> usr/X11R6/lib/X11/fonts/CID/fonts.scale
# if proc/1 doesn't exist, this is not a running system, i.e. this is probably
# a system being installed. In that case it is better not to run mkfontdir.
test -d proc/1 || exit 0
test -x usr/X11R6/bin/mkfontdir || exit 0
usr/X11R6/bin/mkfontdir usr/X11R6/lib/X11/fonts/CID

%postun -n CID-keyed-fonts-WadaH
echo "0" > usr/X11R6/lib/X11/fonts/CID/fonts.scale
find usr/X11R6/lib/X11/fonts/CID -follow -name "fonts.scale.*" | \
	xargs --no-run-if-empty cat >> usr/X11R6/lib/X11/fonts/CID/fonts.scale
# if proc/1 doesn't exist, this is not a running system, i.e. this is probably
# a system being installed. In that case it is better not to run mkfontdir.
test -d proc/1 || exit 0
test -x usr/X11R6/bin/mkfontdir || exit 0
usr/X11R6/bin/mkfontdir usr/X11R6/lib/X11/fonts/CID

%postun -n CID-keyed-fonts-Munhwa
echo "0" > usr/X11R6/lib/X11/fonts/CID/fonts.scale
find usr/X11R6/lib/X11/fonts/CID -follow -name "fonts.scale.*" | \
	xargs --no-run-if-empty cat >> usr/X11R6/lib/X11/fonts/CID/fonts.scale
# if proc/1 doesn't exist, this is not a running system, i.e. this is probably
# a system being installed. In that case it is better not to run mkfontdir.
test -d proc/1 || exit 0
test -x usr/X11R6/bin/mkfontdir || exit 0
usr/X11R6/bin/mkfontdir usr/X11R6/lib/X11/fonts/CID

%files -n ghostscript-library
/usr/bin/gsbj
/usr/bin/gsdj
/usr/bin/gsdj500
/usr/bin/gslj
/usr/bin/gslp
/usr/bin/gsnd
/usr/bin/bdftops
/usr/bin/dvipdf
/usr/bin/eps2eps
/usr/bin/escputil
/usr/bin/font2c
/usr/bin/hpijs
/usr/bin/pdf2dsc
/usr/bin/pdf2ps
/usr/bin/pdfopt
/usr/bin/pf2afm
/usr/bin/pfbtopfa
/usr/bin/printafm
/usr/bin/ps2ascii
/usr/bin/ps2epsi
/usr/bin/ps2pdf
/usr/bin/ps2pdf12
/usr/bin/ps2pdf13
/usr/bin/ps2pdfwr
/usr/bin/ps2ps
/usr/bin/wftopfa
/usr/bin/fixmswrd
/usr/%{_lib}/ghostscript/*.so
%dir /usr/share/ghostscript/%{GSVER}/
/usr/share/ghostscript/%{GSVER}/lib/
%doc /usr/share/ghostscript/%{GSVER}/doc/
%doc /usr/share/ghostscript/%{GSVER}/examples/
%doc %{_defaultdocdir}/ghostscript/catalog.devices
%doc %{_defaultdocdir}/ghostscript/doc
%doc %{_defaultdocdir}/ghostscript/examples
%doc %{_mandir}/man1/

%files -n ghostscript-x11
/usr/bin/gs_x11
%ifnarch sparc sparc64 ia64 s390

%files -n ghostscript-vga
/usr/bin/gs_vga
%endif

%files -n ghostscript-serv
/usr/bin/gs_serv
%ifnarch sparc sparc64 ia64 s390

%files -n ghostscript-both
/usr/bin/gs_both
%endif

%files -n ghostscript-fonts-std
/usr/X11R6/lib/X11/fonts/URW
/usr/share/ghostscript/fonts/fonts.scale
/usr/share/ghostscript/fonts/fonts.dir
/usr/share/ghostscript/fonts/a010013l.afm
/usr/share/ghostscript/fonts/a010015l.afm
/usr/share/ghostscript/fonts/a010033l.afm
/usr/share/ghostscript/fonts/a010035l.afm
/usr/share/ghostscript/fonts/b018012l.afm
/usr/share/ghostscript/fonts/b018015l.afm
/usr/share/ghostscript/fonts/b018032l.afm
/usr/share/ghostscript/fonts/b018035l.afm
/usr/share/ghostscript/fonts/c059013l.afm
/usr/share/ghostscript/fonts/c059016l.afm
/usr/share/ghostscript/fonts/c059033l.afm
/usr/share/ghostscript/fonts/c059036l.afm
/usr/share/ghostscript/fonts/d050000l.afm
/usr/share/ghostscript/fonts/n019003l.afm
/usr/share/ghostscript/fonts/n019004l.afm
/usr/share/ghostscript/fonts/n019023l.afm
/usr/share/ghostscript/fonts/n019024l.afm
/usr/share/ghostscript/fonts/n019043l.afm
/usr/share/ghostscript/fonts/n019044l.afm
/usr/share/ghostscript/fonts/n019063l.afm
/usr/share/ghostscript/fonts/n019064l.afm
/usr/share/ghostscript/fonts/n021003l.afm
/usr/share/ghostscript/fonts/n021004l.afm
/usr/share/ghostscript/fonts/n021023l.afm
/usr/share/ghostscript/fonts/n021024l.afm
/usr/share/ghostscript/fonts/n022003l.afm
/usr/share/ghostscript/fonts/n022004l.afm
/usr/share/ghostscript/fonts/n022023l.afm
/usr/share/ghostscript/fonts/n022024l.afm
/usr/share/ghostscript/fonts/p052003l.afm
/usr/share/ghostscript/fonts/p052004l.afm
/usr/share/ghostscript/fonts/p052023l.afm
/usr/share/ghostscript/fonts/p052024l.afm
/usr/share/ghostscript/fonts/s050000l.afm
/usr/share/ghostscript/fonts/z003034l.afm
/usr/share/ghostscript/fonts/a010013l.pfm
/usr/share/ghostscript/fonts/a010015l.pfm
/usr/share/ghostscript/fonts/a010033l.pfm
/usr/share/ghostscript/fonts/a010035l.pfm
/usr/share/ghostscript/fonts/b018012l.pfm
/usr/share/ghostscript/fonts/b018015l.pfm
/usr/share/ghostscript/fonts/b018032l.pfm
/usr/share/ghostscript/fonts/b018035l.pfm
/usr/share/ghostscript/fonts/c059013l.pfm
/usr/share/ghostscript/fonts/c059016l.pfm
/usr/share/ghostscript/fonts/c059033l.pfm
/usr/share/ghostscript/fonts/c059036l.pfm
/usr/share/ghostscript/fonts/d050000l.pfm
/usr/share/ghostscript/fonts/n019003l.pfm
/usr/share/ghostscript/fonts/n019004l.pfm
/usr/share/ghostscript/fonts/n019023l.pfm
/usr/share/ghostscript/fonts/n019024l.pfm
/usr/share/ghostscript/fonts/n019043l.pfm
/usr/share/ghostscript/fonts/n019044l.pfm
/usr/share/ghostscript/fonts/n019063l.pfm
/usr/share/ghostscript/fonts/n019064l.pfm
/usr/share/ghostscript/fonts/n021003l.pfm
/usr/share/ghostscript/fonts/n021004l.pfm
/usr/share/ghostscript/fonts/n021023l.pfm
/usr/share/ghostscript/fonts/n021024l.pfm
/usr/share/ghostscript/fonts/n022003l.pfm
/usr/share/ghostscript/fonts/n022004l.pfm
/usr/share/ghostscript/fonts/n022023l.pfm
/usr/share/ghostscript/fonts/n022024l.pfm
/usr/share/ghostscript/fonts/p052003l.pfm
/usr/share/ghostscript/fonts/p052004l.pfm
/usr/share/ghostscript/fonts/p052023l.pfm
/usr/share/ghostscript/fonts/p052024l.pfm
/usr/share/ghostscript/fonts/s050000l.pfm
/usr/share/ghostscript/fonts/z003034l.pfm
/usr/share/ghostscript/fonts/a010013l.pfb
/usr/share/ghostscript/fonts/a010015l.pfb
/usr/share/ghostscript/fonts/a010033l.pfb
/usr/share/ghostscript/fonts/a010035l.pfb
/usr/share/ghostscript/fonts/b018012l.pfb
/usr/share/ghostscript/fonts/b018015l.pfb
/usr/share/ghostscript/fonts/b018032l.pfb
/usr/share/ghostscript/fonts/b018035l.pfb
/usr/share/ghostscript/fonts/c059013l.pfb
/usr/share/ghostscript/fonts/c059016l.pfb
/usr/share/ghostscript/fonts/c059033l.pfb
/usr/share/ghostscript/fonts/c059036l.pfb
/usr/share/ghostscript/fonts/d050000l.pfb
/usr/share/ghostscript/fonts/n019003l.pfb
/usr/share/ghostscript/fonts/n019004l.pfb
/usr/share/ghostscript/fonts/n019023l.pfb
/usr/share/ghostscript/fonts/n019024l.pfb
/usr/share/ghostscript/fonts/n019043l.pfb
/usr/share/ghostscript/fonts/n019044l.pfb
/usr/share/ghostscript/fonts/n019063l.pfb
/usr/share/ghostscript/fonts/n019064l.pfb
/usr/share/ghostscript/fonts/n021003l.pfb
/usr/share/ghostscript/fonts/n021004l.pfb
/usr/share/ghostscript/fonts/n021023l.pfb
/usr/share/ghostscript/fonts/n021024l.pfb
/usr/share/ghostscript/fonts/n022003l.pfb
/usr/share/ghostscript/fonts/n022004l.pfb
/usr/share/ghostscript/fonts/n022023l.pfb
/usr/share/ghostscript/fonts/n022024l.pfb
/usr/share/ghostscript/fonts/p052003l.pfb
/usr/share/ghostscript/fonts/p052004l.pfb
/usr/share/ghostscript/fonts/p052023l.pfb
/usr/share/ghostscript/fonts/p052024l.pfb
/usr/share/ghostscript/fonts/s050000l.pfb
/usr/share/ghostscript/fonts/z003034l.pfb

%files -n ghostscript-fonts-other
/usr/share/ghostscript/fonts/bchb.afm
/usr/share/ghostscript/fonts/bchbi.afm
/usr/share/ghostscript/fonts/bchr.afm
/usr/share/ghostscript/fonts/bchri.afm
/usr/share/ghostscript/fonts/fcyr.afm
/usr/share/ghostscript/fonts/fcyri.afm
/usr/share/ghostscript/fonts/u003043t.afm
/usr/share/ghostscript/fonts/u004006t.afm
/usr/share/ghostscript/fonts/fcyr.gsf
/usr/share/ghostscript/fonts/fcyri.gsf
/usr/share/ghostscript/fonts/fhirw.gsf
/usr/share/ghostscript/fonts/fkarw.gsf
/usr/share/ghostscript/fonts/hrgerb.gsf
/usr/share/ghostscript/fonts/hrgerd.gsf
/usr/share/ghostscript/fonts/hrgero.gsf
/usr/share/ghostscript/fonts/hrgkc.gsf
/usr/share/ghostscript/fonts/hrgks.gsf
/usr/share/ghostscript/fonts/hrgrrb.gsf
/usr/share/ghostscript/fonts/hrgrro.gsf
/usr/share/ghostscript/fonts/hritrb.gsf
/usr/share/ghostscript/fonts/hritro.gsf
/usr/share/ghostscript/fonts/hrpldb.gsf
/usr/share/ghostscript/fonts/hrpldbi.gsf
/usr/share/ghostscript/fonts/hrplr.gsf
/usr/share/ghostscript/fonts/hrplrb.gsf
/usr/share/ghostscript/fonts/hrplrbo.gsf
/usr/share/ghostscript/fonts/hrplro.gsf
/usr/share/ghostscript/fonts/hrpls.gsf
/usr/share/ghostscript/fonts/hrplsb.gsf
/usr/share/ghostscript/fonts/hrplsbo.gsf
/usr/share/ghostscript/fonts/hrplso.gsf
/usr/share/ghostscript/fonts/hrpltb.gsf
/usr/share/ghostscript/fonts/hrpltbi.gsf
/usr/share/ghostscript/fonts/hrsccb.gsf
/usr/share/ghostscript/fonts/hrscco.gsf
/usr/share/ghostscript/fonts/hrscsb.gsf
/usr/share/ghostscript/fonts/hrscso.gsf
/usr/share/ghostscript/fonts/hrsyr.gsf
/usr/share/ghostscript/fonts/u003043t.gsf
/usr/share/ghostscript/fonts/u004006t.gsf
/usr/share/ghostscript/fonts/bchb.pfa
/usr/share/ghostscript/fonts/bchbi.pfa
/usr/share/ghostscript/fonts/bchr.pfa
/usr/share/ghostscript/fonts/bchri.pfa
/usr/share/ghostscript/fonts/hrger.pfa
/usr/share/ghostscript/fonts/hrgrr.pfa
/usr/share/ghostscript/fonts/hritr.pfa
/usr/share/ghostscript/fonts/hrpld.pfa
/usr/share/ghostscript/fonts/hrpldi.pfa
/usr/share/ghostscript/fonts/hrplt.pfa
/usr/share/ghostscript/fonts/hrplti.pfa
/usr/share/ghostscript/fonts/hrscc.pfa
/usr/share/ghostscript/fonts/hrscs.pfa
/usr/share/ghostscript/fonts/putb.pfa
/usr/share/ghostscript/fonts/putbi.pfa
/usr/share/ghostscript/fonts/putr.pfa
/usr/share/ghostscript/fonts/putri.pfa
/usr/share/ghostscript/fonts/fhirw.pfm
/usr/share/ghostscript/fonts/fkarw.pfm
/usr/share/ghostscript/fonts/u003043t.pfm
/usr/share/ghostscript/fonts/u004006t.pfm

%files -n ghostscript-fonts-kanji
/usr/share/ghostscript/fonts/min-21ku.gsf
/usr/share/ghostscript/fonts/min-22ku.gsf
/usr/share/ghostscript/fonts/min-23ku.gsf
/usr/share/ghostscript/fonts/min-24ku.gsf
/usr/share/ghostscript/fonts/min-25ku.gsf
/usr/share/ghostscript/fonts/min-26ku.gsf
/usr/share/ghostscript/fonts/min-27ku.gsf
/usr/share/ghostscript/fonts/min-28ku.gsf
/usr/share/ghostscript/fonts/min-30ku.gsf
/usr/share/ghostscript/fonts/min-31ku.gsf
/usr/share/ghostscript/fonts/min-32ku.gsf
/usr/share/ghostscript/fonts/min-33ku.gsf
/usr/share/ghostscript/fonts/min-34ku.gsf
/usr/share/ghostscript/fonts/min-35ku.gsf
/usr/share/ghostscript/fonts/min-36ku.gsf
/usr/share/ghostscript/fonts/min-37ku.gsf
/usr/share/ghostscript/fonts/min-38ku.gsf
/usr/share/ghostscript/fonts/min-39ku.gsf
/usr/share/ghostscript/fonts/min-3aku.gsf
/usr/share/ghostscript/fonts/min-3bku.gsf
/usr/share/ghostscript/fonts/min-3cku.gsf
/usr/share/ghostscript/fonts/min-3dku.gsf
/usr/share/ghostscript/fonts/min-3eku.gsf
/usr/share/ghostscript/fonts/min-3fku.gsf
/usr/share/ghostscript/fonts/min-40ku.gsf
/usr/share/ghostscript/fonts/min-41ku.gsf
/usr/share/ghostscript/fonts/min-42ku.gsf
/usr/share/ghostscript/fonts/min-43ku.gsf
/usr/share/ghostscript/fonts/min-44ku.gsf
/usr/share/ghostscript/fonts/min-45ku.gsf
/usr/share/ghostscript/fonts/min-46ku.gsf
/usr/share/ghostscript/fonts/min-47ku.gsf
/usr/share/ghostscript/fonts/min-48ku.gsf
/usr/share/ghostscript/fonts/min-49ku.gsf
/usr/share/ghostscript/fonts/min-4aku.gsf
/usr/share/ghostscript/fonts/min-4bku.gsf
/usr/share/ghostscript/fonts/min-4cku.gsf
/usr/share/ghostscript/fonts/min-4dku.gsf
/usr/share/ghostscript/fonts/min-4eku.gsf
/usr/share/ghostscript/fonts/min-4fku.gsf
/usr/share/ghostscript/fonts/min-50ku.gsf
/usr/share/ghostscript/fonts/min-51ku.gsf
/usr/share/ghostscript/fonts/min-52ku.gsf
/usr/share/ghostscript/fonts/min-53ku.gsf
/usr/share/ghostscript/fonts/min-54ku.gsf
/usr/share/ghostscript/fonts/min-55ku.gsf
/usr/share/ghostscript/fonts/min-56ku.gsf
/usr/share/ghostscript/fonts/min-57ku.gsf
/usr/share/ghostscript/fonts/min-58ku.gsf
/usr/share/ghostscript/fonts/min-59ku.gsf
/usr/share/ghostscript/fonts/min-5aku.gsf
/usr/share/ghostscript/fonts/min-5bku.gsf
/usr/share/ghostscript/fonts/min-5cku.gsf
/usr/share/ghostscript/fonts/min-5dku.gsf
/usr/share/ghostscript/fonts/min-5eku.gsf
/usr/share/ghostscript/fonts/min-5fku.gsf
/usr/share/ghostscript/fonts/min-60ku.gsf
/usr/share/ghostscript/fonts/min-61ku.gsf
/usr/share/ghostscript/fonts/min-62ku.gsf
/usr/share/ghostscript/fonts/min-63ku.gsf
/usr/share/ghostscript/fonts/min-64ku.gsf
/usr/share/ghostscript/fonts/min-65ku.gsf
/usr/share/ghostscript/fonts/min-66ku.gsf
/usr/share/ghostscript/fonts/min-67ku.gsf
/usr/share/ghostscript/fonts/min-68ku.gsf
/usr/share/ghostscript/fonts/min-69ku.gsf
/usr/share/ghostscript/fonts/min-6aku.gsf
/usr/share/ghostscript/fonts/min-6bku.gsf
/usr/share/ghostscript/fonts/min-6cku.gsf
/usr/share/ghostscript/fonts/min-6dku.gsf
/usr/share/ghostscript/fonts/min-6eku.gsf
/usr/share/ghostscript/fonts/min-6fku.gsf
/usr/share/ghostscript/fonts/min-70ku.gsf
/usr/share/ghostscript/fonts/min-71ku.gsf
/usr/share/ghostscript/fonts/min-72ku.gsf
/usr/share/ghostscript/fonts/min-73ku.gsf
/usr/share/ghostscript/fonts/min-74ku.gsf
/usr/share/ghostscript/fonts/goth-21ku.gsf
/usr/share/ghostscript/fonts/goth-22ku.gsf
/usr/share/ghostscript/fonts/goth-23ku.gsf
/usr/share/ghostscript/fonts/goth-24ku.gsf
/usr/share/ghostscript/fonts/goth-25ku.gsf
/usr/share/ghostscript/fonts/goth-26ku.gsf
/usr/share/ghostscript/fonts/goth-27ku.gsf
/usr/share/ghostscript/fonts/goth-28ku.gsf
/usr/share/ghostscript/fonts/goth-30ku.gsf
/usr/share/ghostscript/fonts/goth-31ku.gsf
/usr/share/ghostscript/fonts/goth-32ku.gsf
/usr/share/ghostscript/fonts/goth-33ku.gsf
/usr/share/ghostscript/fonts/goth-34ku.gsf
/usr/share/ghostscript/fonts/goth-35ku.gsf
/usr/share/ghostscript/fonts/goth-36ku.gsf
/usr/share/ghostscript/fonts/goth-37ku.gsf
/usr/share/ghostscript/fonts/goth-38ku.gsf
/usr/share/ghostscript/fonts/goth-39ku.gsf
/usr/share/ghostscript/fonts/goth-3aku.gsf
/usr/share/ghostscript/fonts/goth-3bku.gsf
/usr/share/ghostscript/fonts/goth-3cku.gsf
/usr/share/ghostscript/fonts/goth-3dku.gsf
/usr/share/ghostscript/fonts/goth-3eku.gsf
/usr/share/ghostscript/fonts/goth-3fku.gsf
/usr/share/ghostscript/fonts/goth-40ku.gsf
/usr/share/ghostscript/fonts/goth-41ku.gsf
/usr/share/ghostscript/fonts/goth-42ku.gsf
/usr/share/ghostscript/fonts/goth-43ku.gsf
/usr/share/ghostscript/fonts/goth-44ku.gsf
/usr/share/ghostscript/fonts/goth-45ku.gsf
/usr/share/ghostscript/fonts/goth-46ku.gsf
/usr/share/ghostscript/fonts/goth-47ku.gsf
/usr/share/ghostscript/fonts/goth-48ku.gsf
/usr/share/ghostscript/fonts/goth-49ku.gsf
/usr/share/ghostscript/fonts/goth-4aku.gsf
/usr/share/ghostscript/fonts/goth-4bku.gsf
/usr/share/ghostscript/fonts/goth-4cku.gsf
/usr/share/ghostscript/fonts/goth-4dku.gsf
/usr/share/ghostscript/fonts/goth-4eku.gsf
/usr/share/ghostscript/fonts/goth-4fku.gsf
/usr/share/ghostscript/fonts/goth-50ku.gsf
/usr/share/ghostscript/fonts/goth-51ku.gsf
/usr/share/ghostscript/fonts/goth-52ku.gsf
/usr/share/ghostscript/fonts/goth-53ku.gsf
/usr/share/ghostscript/fonts/goth-54ku.gsf
/usr/share/ghostscript/fonts/goth-55ku.gsf
/usr/share/ghostscript/fonts/goth-56ku.gsf
/usr/share/ghostscript/fonts/goth-57ku.gsf
/usr/share/ghostscript/fonts/goth-58ku.gsf
/usr/share/ghostscript/fonts/goth-59ku.gsf
/usr/share/ghostscript/fonts/goth-5aku.gsf
/usr/share/ghostscript/fonts/goth-5bku.gsf
/usr/share/ghostscript/fonts/goth-5cku.gsf
/usr/share/ghostscript/fonts/goth-5dku.gsf
/usr/share/ghostscript/fonts/goth-5eku.gsf
/usr/share/ghostscript/fonts/goth-5fku.gsf
/usr/share/ghostscript/fonts/goth-60ku.gsf
/usr/share/ghostscript/fonts/goth-61ku.gsf
/usr/share/ghostscript/fonts/goth-62ku.gsf
/usr/share/ghostscript/fonts/goth-63ku.gsf
/usr/share/ghostscript/fonts/goth-64ku.gsf
/usr/share/ghostscript/fonts/goth-65ku.gsf
/usr/share/ghostscript/fonts/goth-66ku.gsf
/usr/share/ghostscript/fonts/goth-67ku.gsf
/usr/share/ghostscript/fonts/goth-68ku.gsf
/usr/share/ghostscript/fonts/goth-69ku.gsf
/usr/share/ghostscript/fonts/goth-6aku.gsf
/usr/share/ghostscript/fonts/goth-6bku.gsf
/usr/share/ghostscript/fonts/goth-6cku.gsf
/usr/share/ghostscript/fonts/goth-6dku.gsf
/usr/share/ghostscript/fonts/goth-6eku.gsf
/usr/share/ghostscript/fonts/goth-6fku.gsf
/usr/share/ghostscript/fonts/goth-70ku.gsf
/usr/share/ghostscript/fonts/goth-71ku.gsf
/usr/share/ghostscript/fonts/goth-72ku.gsf
/usr/share/ghostscript/fonts/goth-73ku.gsf
/usr/share/ghostscript/fonts/goth-74ku.gsf
/usr/share/ghostscript/fonts/goth.gsf
/usr/share/ghostscript/fonts/min.gsf

%files -n ghostscript-fonts-rus
%doc %{_defaultdocdir}/ghostscript/README.rusfonts
%doc %{_defaultdocdir}/ghostscript/rusps.txt
/usr/share/ghostscript/fonts/arial8.afm
/usr/share/ghostscript/fonts/arial8.pfb
/usr/share/ghostscript/fonts/arial8.pfm
/usr/share/ghostscript/fonts/arialbd8.afm
/usr/share/ghostscript/fonts/arialbd8.pfb
/usr/share/ghostscript/fonts/arialbd8.pfm
/usr/share/ghostscript/fonts/arialbi8.afm
/usr/share/ghostscript/fonts/arialbi8.pfb
/usr/share/ghostscript/fonts/arialbi8.pfm
/usr/share/ghostscript/fonts/ariali8.afm
/usr/share/ghostscript/fonts/ariali8.pfb
/usr/share/ghostscript/fonts/ariali8.pfm
/usr/share/ghostscript/fonts/cokoi8b.afm
/usr/share/ghostscript/fonts/cokoi8b.pfb
/usr/share/ghostscript/fonts/cokoi8b.pfm
/usr/share/ghostscript/fonts/cokoi8bi.afm
/usr/share/ghostscript/fonts/cokoi8bi.pfb
/usr/share/ghostscript/fonts/cokoi8bi.pfm
/usr/share/ghostscript/fonts/cokoi8i.afm
/usr/share/ghostscript/fonts/cokoi8i.pfb
/usr/share/ghostscript/fonts/cokoi8i.pfm
/usr/share/ghostscript/fonts/cokoi8n.afm
/usr/share/ghostscript/fonts/cokoi8n.pfb
/usr/share/ghostscript/fonts/cokoi8n.pfm
/usr/share/ghostscript/fonts/cour8.afm
/usr/share/ghostscript/fonts/cour8.pfb
/usr/share/ghostscript/fonts/cour8.pfm
/usr/share/ghostscript/fonts/courbd8.afm
/usr/share/ghostscript/fonts/courbd8.pfb
/usr/share/ghostscript/fonts/courbd8.pfm
/usr/share/ghostscript/fonts/courbi8.afm
/usr/share/ghostscript/fonts/courbi8.pfb
/usr/share/ghostscript/fonts/courbi8.pfm
/usr/share/ghostscript/fonts/couri8.afm
/usr/share/ghostscript/fonts/couri8.pfb
/usr/share/ghostscript/fonts/couri8.pfm
/usr/share/ghostscript/fonts/times8.afm
/usr/share/ghostscript/fonts/times8.pfb
/usr/share/ghostscript/fonts/times8.pfm
/usr/share/ghostscript/fonts/timesbd8.afm
/usr/share/ghostscript/fonts/timesbd8.pfb
/usr/share/ghostscript/fonts/timesbd8.pfm
/usr/share/ghostscript/fonts/timesbi8.afm
/usr/share/ghostscript/fonts/timesbi8.pfb
/usr/share/ghostscript/fonts/timesbi8.pfm
/usr/share/ghostscript/fonts/timesi8.afm
/usr/share/ghostscript/fonts/timesi8.pfb
/usr/share/ghostscript/fonts/timesi8.pfm

%files -n CMap-Adobe-Identity
/usr/share/ghostscript/fonts/CID/Adobe-Identity/CMap
/usr/X11R6/lib/X11/fonts/CID/Adobe-Identity

%files -n CMap-Adobe-CNS1
/usr/share/ghostscript/fonts/CID/Adobe-CNS1/CMap
/usr/X11R6/lib/X11/fonts/CID/Adobe-CNS1

%files -n CMap-Adobe-GB1
/usr/share/ghostscript/fonts/CID/Adobe-GB1/CMap
/usr/X11R6/lib/X11/fonts/CID/Adobe-GB1

%files -n CMap-Adobe-Japan1
/usr/share/ghostscript/fonts/CID/Adobe-Japan1/CMap
/usr/X11R6/lib/X11/fonts/CID/Adobe-Japan1

%files -n CMap-Adobe-Japan2
/usr/share/ghostscript/fonts/CID/Adobe-Japan2/CMap
/usr/X11R6/lib/X11/fonts/CID/Adobe-Japan2

%files -n CMap-Adobe-Korea1
/usr/share/ghostscript/fonts/CID/Adobe-Korea1/CMap
/usr/X11R6/lib/X11/fonts/CID/Adobe-Korea1

%files -n CID-keyed-fonts-MOE 
/usr/share/ghostscript/fonts/CID/Adobe-CNS1/CIDFont/MOEKai-Regular
/usr/share/ghostscript/fonts/CID/Adobe-CNS1/CIDFont/MOESung-Regular
/usr/share/ghostscript/fonts/CID/Adobe-CNS1/AFM/MOEKai-Regular.afm
/usr/share/ghostscript/fonts/CID/Adobe-CNS1/AFM/MOESung-Regular.afm
/usr/share/ghostscript/fonts/CID/Adobe-CNS1/CFM/MOEKai-Regular--*.cfm
/usr/share/ghostscript/fonts/CID/Adobe-CNS1/CFM/MOESung-Regular--*.cfm
%config /usr/share/ghostscript/fonts/CID/Adobe-CNS1/fonts.scale.MOE
/usr/share/ghostscript/fonts/MOE*.gsf

%files -n CID-keyed-fonts-Wada 
/usr/share/ghostscript/fonts/CID/Adobe-Japan1/CIDFont/WadaGo-Bold
/usr/share/ghostscript/fonts/CID/Adobe-Japan1/CIDFont/WadaMaruGo-Regular
/usr/share/ghostscript/fonts/CID/Adobe-Japan1/CIDFont/WadaMin-Bold
/usr/share/ghostscript/fonts/CID/Adobe-Japan1/CIDFont/WadaMin-Regular
/usr/share/ghostscript/fonts/CID/Adobe-Japan1/AFM/WadaGo-Bold.afm
/usr/share/ghostscript/fonts/CID/Adobe-Japan1/AFM/WadaMaruGo-Regular.afm
/usr/share/ghostscript/fonts/CID/Adobe-Japan1/AFM/WadaMin-Bold.afm
/usr/share/ghostscript/fonts/CID/Adobe-Japan1/AFM/WadaMin-Regular.afm
/usr/share/ghostscript/fonts/CID/Adobe-Japan1/CFM/WadaGo-Bold--*.cfm
/usr/share/ghostscript/fonts/CID/Adobe-Japan1/CFM/WadaMaruGo-Regular--*.cfm
/usr/share/ghostscript/fonts/CID/Adobe-Japan1/CFM/WadaMin-Bold--*.cfm
/usr/share/ghostscript/fonts/CID/Adobe-Japan1/CFM/WadaMin-Regular--*.cfm
%config /usr/share/ghostscript/fonts/CID/Adobe-Japan1/fonts.scale.Wada
/usr/share/ghostscript/fonts/Wada*-Regular-*.gsf
/usr/share/ghostscript/fonts/Wada*-Bold-*.gsf

%files -n CID-keyed-fonts-WadaH 
/usr/share/ghostscript/fonts/CID/Adobe-Japan2/CIDFont/WadaMaruGo-RegularH
/usr/share/ghostscript/fonts/CID/Adobe-Japan2/CIDFont/WadaMin-RegularH
/usr/share/ghostscript/fonts/CID/Adobe-Japan2/AFM/WadaMaruGo-RegularH.afm
/usr/share/ghostscript/fonts/CID/Adobe-Japan2/AFM/WadaMin-RegularH.afm
/usr/share/ghostscript/fonts/CID/Adobe-Japan2/CFM/WadaMaruGo-RegularH--*.cfm
/usr/share/ghostscript/fonts/CID/Adobe-Japan2/CFM/WadaMin-RegularH--*.cfm
%config /usr/share/ghostscript/fonts/CID/Adobe-Japan2/fonts.scale.WadaH
/usr/share/ghostscript/fonts/Wada*-RegularH-*.gsf

%files -n CID-keyed-fonts-Munhwa
/usr/share/ghostscript/fonts/CID/Adobe-Korea1/CIDFont/Munhwa-Bold
/usr/share/ghostscript/fonts/CID/Adobe-Korea1/CIDFont/Munhwa-Regular
/usr/share/ghostscript/fonts/CID/Adobe-Korea1/CIDFont/MunhwaGothic-Bold
/usr/share/ghostscript/fonts/CID/Adobe-Korea1/CIDFont/MunhwaGothic-Regular
/usr/share/ghostscript/fonts/CID/Adobe-Korea1/CIDFont/MunhwaGungSeo-Bold
/usr/share/ghostscript/fonts/CID/Adobe-Korea1/CIDFont/MunhwaGungSeo-Light
/usr/share/ghostscript/fonts/CID/Adobe-Korea1/CIDFont/MunhwaGungSeoHeulim-Bold
/usr/share/ghostscript/fonts/CID/Adobe-Korea1/CIDFont/MunhwaGungSeoHeulim-Light
/usr/share/ghostscript/fonts/CID/Adobe-Korea1/CIDFont/MunhwaHoonMin-Regular
/usr/share/ghostscript/fonts/CID/Adobe-Korea1/AFM/Munhwa-Bold.afm
/usr/share/ghostscript/fonts/CID/Adobe-Korea1/AFM/Munhwa-Regular.afm
/usr/share/ghostscript/fonts/CID/Adobe-Korea1/AFM/MunhwaGothic-Bold.afm
/usr/share/ghostscript/fonts/CID/Adobe-Korea1/AFM/MunhwaGothic-Regular.afm
/usr/share/ghostscript/fonts/CID/Adobe-Korea1/AFM/MunhwaGungSeo-Bold.afm
/usr/share/ghostscript/fonts/CID/Adobe-Korea1/AFM/MunhwaGungSeo-Light.afm
/usr/share/ghostscript/fonts/CID/Adobe-Korea1/AFM/MunhwaGungSeoHeulim-Bold.afm
/usr/share/ghostscript/fonts/CID/Adobe-Korea1/AFM/MunhwaGungSeoHeulim-Light.afm
/usr/share/ghostscript/fonts/CID/Adobe-Korea1/AFM/MunhwaHoonMin-Regular.afm
/usr/share/ghostscript/fonts/CID/Adobe-Korea1/CFM/Munhwa-Bold--*.cfm
/usr/share/ghostscript/fonts/CID/Adobe-Korea1/CFM/Munhwa-Regular--*.cfm
/usr/share/ghostscript/fonts/CID/Adobe-Korea1/CFM/MunhwaGothic-Bold--*.cfm
/usr/share/ghostscript/fonts/CID/Adobe-Korea1/CFM/MunhwaGothic-Regular--*.cfm
/usr/share/ghostscript/fonts/CID/Adobe-Korea1/CFM/MunhwaGungSeo-Bold--*.cfm
/usr/share/ghostscript/fonts/CID/Adobe-Korea1/CFM/MunhwaGungSeo-Light--*.cfm
/usr/share/ghostscript/fonts/CID/Adobe-Korea1/CFM/MunhwaGungSeoHeulim-Bold--*.cfm
/usr/share/ghostscript/fonts/CID/Adobe-Korea1/CFM/MunhwaGungSeoHeulim-Light--*.cfm
/usr/share/ghostscript/fonts/CID/Adobe-Korea1/CFM/MunhwaHoonMin-Regular--*.cfm
%config /usr/share/ghostscript/fonts/CID/Adobe-Korea1/fonts.scale.Munhwa
/usr/share/ghostscript/fonts/Munhwa*.gsf

%changelog -n ghostscript-library
* Fri Sep 07 2001 - werner@suse.de
- Add upp file for Sharp AJ1800
* Tue Aug 14 2001 - werner@suse.de
- Disable readline option due this one leads to chrashes
  if inlined graphic is used.
* Mon Aug 13 2001 - mfabian@suse.de
- activated the entries for the CID-keyed fonts which were
  commented out in Fontmap.CID because they crashed gs 5.50.
  gs 6.51 handles this fine, we can now use these entries.
* Tue Jul 31 2001 - schwab@suse.de
- Make sure the ghostscript allocator properly aligns for jmp_buf (needed
  on ia64).
* Tue Jul 24 2001 - kukuk@suse.de
- Add old provides back
* Mon Jul 23 2001 - werner@suse.de
- Bug fixes: find Fontmaps even if not in current directory
- Correct dependencies
* Fri Jul 06 2001 - werner@suse.de
- Use target cpu instead of architecture
* Fri Jul 06 2001 - werner@suse.de
- Minor fixes for multi architecture build runs
* Thu Jul 05 2001 - werner@suse.de
- Update to GNU ghostscript 6.51
- Update to Omi 0.3.1
- Update to gimp print 4.1.10
- Add several uniprint epson parameter files
- Split gdevcd8.c into gdevcd8-cdj880.c, gdevcd8-chp2200.c, and
  the new original gdevcd8.c.
- Rename packages into long name versions
- Make it work
* Tue May 08 2001 - mfabian@suse.de
- bzip2 most sources
* Thu May 03 2001 - werner@suse.de
- Update hpijs drvire from 0.93 to 0.95
- Add chp2200 driver
* Tue Apr 17 2001 - werner@suse.de
- Fix manual page: tab as pre-processor needed
* Wed Apr 11 2001 - werner@suse.de
- Use LD_RUN_PATH to set /usr/lib/ghostscript/ as loading
  path for Omni modules
* Tue Apr 10 2001 - werner@suse.de
- Add Omni driver collection, integrate and test them
- Add pdf_sec.ps
* Fri Mar 30 2001 - uli@suse.de
- replaced hardwired endianness in hpijs with sth more sensible
* Mon Mar 26 2001 - werner@suse.de
- Update of hpijs driver package
* Wed Mar 07 2001 - werner@suse.de
- We need a full X environment at build
* Thu Feb 22 2001 - werner@suse.de
- Add hpijs driver package
* Wed Dec 20 2000 - ro@suse.de
- reduce size of source-package by marking adobe-fonts as NoSource
* Wed Dec 20 2000 - werner@suse.de
- Mark all fonts archives as NoSource
- Update manual page of stp driver to fit new version
* Tue Dec 19 2000 - egger@suse.de
- Updated the stp driver to 4.1.0.
* Tue Nov 28 2000 - mfabian@suse.de
- improved %%post and %%postun scripts for CID-keyed fonts:
  don't try to run mkfontdir during the install of the whole
  operating system.
* Tue Nov 28 2000 - mfabian@suse.de
- when adding the .cfm files I made a mistake in generating
  the filelists which resulted in not packing the .cfm files and
  .afm files at all. This makes the use of these fonts really
  slow. Now fixed.
* Mon Nov 27 2000 - mfabian@suse.de
- added the Fontmap entries for the free CID keyed fonts from
  Adobe again. They seem to have been lost during merging.
* Mon Nov 27 2000 - mfabian@suse.de
- generated .cfm files for CID-keyed fonts with mkcfm
- shortened Fontmaps for CID-keyed fonts to avoid crashes of
  gs 5.50
* Thu Nov 23 2000 - werner@suse.de
- make mandir during install dynamically
* Wed Nov 22 2000 - werner@suse.de
- Use returned file descriptor of mkstemp(3) with fdopen(3)
* Wed Nov 15 2000 - werner@suse.de
- Correct return type of declared mkstemp(3)
* Wed Nov 15 2000 - werner@suse.de
- New meta driver stp
- Add driver for lexmark 7000, 5700, 3200, and 2050
- Use mkstemp and not mktemp
- Remove LD_RUN_PATH
* Fri Nov 10 2000 - mfabian@suse.de
- added free CID keyed sample fonts from Adobe.
  (Korean, Japanese, and traditional Chinese)
- made these fonts available for X11 too.
* Wed Sep 27 2000 - mfabian@suse.de
- added Korean Munhwa fonts (CID keyed fonts).
* Wed Jun 21 2000 - werner@suse.de
- New driver for HP 970Cxi, bjc6000/bjc6100
* Sat May 27 2000 - kukuk@suse.de
- use docdir macro
* Wed Apr 05 2000 - bk@suse.de
- added s390 to non-svgalib architectures
* Mon Mar 06 2000 - schwab@suse.de
- Don't build gs_vga and gs_both on ia64.
* Wed Feb 23 2000 - werner@suse.de
- Swap tranfer curves of Cyan and Magenta
* Tue Feb 22 2000 - werner@suse.de
- Install gs_both
* Mon Feb 21 2000 - werner@suse.de
- Remove CMYK color patch: on some devices it fails
* Mon Feb 21 2000 - werner@suse.de
- New version 5.50 with many bug fixes
- New drivers (cdj880, cljet5, dl2100, oki4w, stc740*.upp)
* Sat Nov 27 1999 - kukuk@suse.de
- Don't build gs_both/gs_svga on SPARC (no svgalib)
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Mon Sep 20 1999 - ro@suse.de
- added Provides/Requires ghostscript_any ghostscript_x11
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jul 08 1999 - werner@suse.de
- fix png.h path
* Fri Jun 18 1999 - werner@suse.de
- Backport of a bug fix for 5.50
* Fri Apr 16 1999 - werner@suse.de
- last character is ; at the end of a font declaration
* Fri Apr 16 1999 - werner@suse.de
- Insert missing %%%% into spec
* Tue Apr 13 1999 - werner@suse.de
- Add russian fonts
* Thu Mar 18 1999 - ro@suse.de
- fixed spec
* Fri Mar 05 1999 - werner@suse.de
- Use Type1 fonts of ghostscript for X11
* Tue Feb 23 1999 - werner@suse.de
- Again backport of some bug fixes for gs5.50
- Hold our, the official fixes, and the backports in different patches
* Mon Jan 11 1999 - werner@suse.de
- Backport some bug fixes for gs5.50
* Sun Dec 20 1998 - werner@suse.de
- New ghostscript GNU version 5.10
* Fri Dec 04 1998 - werner@suse.de
- New hpdj driver 2.5
* Fri Nov 13 1998 - bs@suse.de
- fixed spec file (doubel entry Summary)
* Thu Nov 12 1998 - bs@suse.de
- fixed spec file for new rpm.
* Mon Oct 19 1998 - werner@suse.de
- Add kanji fonts
* Thu Oct 15 1998 - werner@suse.de
- Small fix: allow 720 DPI for bjc600/800
* Wed Oct 14 1998 - werner@suse.de
- Backport a bug into bjc600/800 driver:
  possible resolutions for bjc800 are 150/300/600
* Tue Aug 04 1998 - werner@suse.de
- Backport some bug fixes of gs5.10
* Thu Jul 09 1998 - werner@suse.de
- Fix ps2epsi exploit
* Mon Jul 06 1998 - werner@suse.de
- New hp850 driver: hp8xx (including HP 855, 870 670, 690, 890,
  1100, and 1600)
- Use shared libraries vor png and zlib.
* Thu Jun 18 1998 - werner@suse.de
- Change from  Aladdin 4.03 to GNU 40.3
- Some Bug fixes
- NewNew driver hl7x0 for Brother HL720 and HL730
* Fri May 15 1998 - werner@suse.de
- Update the hpdj drivers (2.4)
- Add gdev820c (0.1.3, 0.2 may unstable)
* Mon Feb 23 1998 - werner@suse.de
- Update hpdj driver to version 2.3
- Fix path in manual pages
- Use 24 bit color depth for cdeskjet
- Use BJC-600/800 driver version 6/7/96
- Add missing start lines of PS files,
  add path for cheq.ps in chess.ps
- Fix of zmedia2.c (comming with hpdj)
- Add -Dconst= in compile options
- Some minor changes
* Tue Jul 29 1997 - werner@suse.de
- Change default type of hpdj driver to unspec
* Thu Jun 26 1997 - werner@suse.de
- 42 ... type42
* Mon Jun 23 1997 - werner@suse.de
- Add hpdj printer driver
- Use -DA4 for compile the binary
* Mon Feb 10 1997 - werner@suse.de
- Some Bug fixes for 4.03 integrated
- New experimental driver for hp djet 850 added
  read /usr/share/ghostscript/4.03/doc/hp850.txt
* Thu Jan 02 1997 - werner@suse.de
- Update auf Version 4.03
